/*
 * ImageViewer.java
 *
 * Copyright (C) 2012 Christian Mayer
 *
 * This file is part of CellXGui
 *
 */

/*
 * ImageViewer.java
 *
 * Created on Jan 26, 2012, 12:41:39 PM
 */
package cellxgui.view;

import ij.ImagePlus;
import java.awt.image.BufferedImage;

/**
 *
 * @author Christian Mayer <chrixian.mayer@gmail.com>
 */
public class ImageViewer extends javax.swing.JFrame {

    /** Creates new form ImageViewer */
    public ImageViewer(BufferedImage img) {
        initComponents();

        final ImagePanel ip = new ImagePanel(img);
        ip.initMouse();
        this.add(ip);
        pack();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        getContentPane().setLayout(new javax.swing.BoxLayout(getContentPane(), javax.swing.BoxLayout.LINE_AXIS));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            @Override
            public void run() {

                ImagePlus ip = new ImagePlus("/Users/cmayer/Pictures/IMG_1071.JPG");

                final ImageViewer iv = new ImageViewer(ip.getBufferedImage());
                iv.setSize(800, 600);
                iv.setLocationRelativeTo(null);
                iv.setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
